Events
List event orders
Returns newest event orders with attendee counts and promo-code summaries. Monetary values on raw order records are decimal strings. Requires events_finance, events_reports or events_manage.
GET
/
admin
/
events
/
{eventId}
/
orders
List event orders
curl --request GET \
--url https://api.gratona.com/v1/admin/events/{eventId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/{eventId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"purchaser_donor_id": 1,
"promo_code_id": 1,
"donation_id": 1,
"order_number": "Example",
"status": "Example",
"payment_status": "Example",
"payment_method": "Example",
"gateway": "Example",
"payment_intent_id": "pi_example",
"transaction_id": "transaction_example",
"currency": "Example",
"subtotal_amount": "25.00",
"discount_amount": "25.00",
"fees_covered_amount": "25.00",
"donation_amount": "25.00",
"sponsorship_amount": "25.00",
"tax_deductible_amount": "25.00",
"non_deductible_amount": "25.00",
"total_amount": "25.00",
"purchaser_name": "Example",
"purchaser_email": "Example",
"purchaser_phone": "Example",
"magic_token": "Example",
"idempotency_key": "Example",
"reservation_expires_at": "2026-10-20T12:00:00Z",
"quote_fingerprint": "Example",
"quote_snapshot": {},
"line_items": {},
"metadata": {},
"receipt_snapshot": {},
"paid_at": "2026-10-20T12:00:00Z",
"receipt_sent_at": "2026-10-20T12:00:00Z",
"cancelled_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"attendees_count": 42,
"promo_code": {
"id": 1,
"client_id": 1,
"event_id": 1,
"code": "Example",
"type": "Example",
"value": "25.00",
"max_redemptions": 1,
"redemptions_count": 1,
"per_order_limit": 1,
"starts_at": "2026-10-20T12:00:00Z",
"ends_at": "2026-10-20T12:00:00Z",
"ticket_type_ids": [
1
],
"sponsor_package_ids": [
1
],
"is_active": false,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
}
],
"meta": {
"current_page": 42,
"last_page": 42,
"per_page": 42,
"total": 42
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
Record ID in the authenticated organization.
Example:
42
Query Parameters
One-based page.
Required range:
x >= 1Example:
1
Rows per page; clamped to 1–100.
Required range:
1 <= x <= 100Example:
25
⌘I
List event orders
curl --request GET \
--url https://api.gratona.com/v1/admin/events/{eventId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gratona.com/v1/admin/events/{eventId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gratona.com/v1/admin/events/{eventId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/events/{eventId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/events/{eventId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/events/{eventId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/events/{eventId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1,
"client_id": 1,
"event_id": 1,
"purchaser_donor_id": 1,
"promo_code_id": 1,
"donation_id": 1,
"order_number": "Example",
"status": "Example",
"payment_status": "Example",
"payment_method": "Example",
"gateway": "Example",
"payment_intent_id": "pi_example",
"transaction_id": "transaction_example",
"currency": "Example",
"subtotal_amount": "25.00",
"discount_amount": "25.00",
"fees_covered_amount": "25.00",
"donation_amount": "25.00",
"sponsorship_amount": "25.00",
"tax_deductible_amount": "25.00",
"non_deductible_amount": "25.00",
"total_amount": "25.00",
"purchaser_name": "Example",
"purchaser_email": "Example",
"purchaser_phone": "Example",
"magic_token": "Example",
"idempotency_key": "Example",
"reservation_expires_at": "2026-10-20T12:00:00Z",
"quote_fingerprint": "Example",
"quote_snapshot": {},
"line_items": {},
"metadata": {},
"receipt_snapshot": {},
"paid_at": "2026-10-20T12:00:00Z",
"receipt_sent_at": "2026-10-20T12:00:00Z",
"cancelled_at": "2026-10-20T12:00:00Z",
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z",
"attendees_count": 42,
"promo_code": {
"id": 1,
"client_id": 1,
"event_id": 1,
"code": "Example",
"type": "Example",
"value": "25.00",
"max_redemptions": 1,
"redemptions_count": 1,
"per_order_limit": 1,
"starts_at": "2026-10-20T12:00:00Z",
"ends_at": "2026-10-20T12:00:00Z",
"ticket_type_ids": [
1
],
"sponsor_package_ids": [
1
],
"is_active": false,
"created_at": "2026-10-20T12:00:00Z",
"updated_at": "2026-10-20T12:00:00Z",
"deleted_at": "2026-10-20T12:00:00Z"
}
}
],
"meta": {
"current_page": 42,
"last_page": 42,
"per_page": 42,
"total": 42
}
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}